import { ModelUtilImpl, ConditionUtil, FieldUtil } from 'model-util';
import { BaseServiceVO } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-31 14:21
 */
interface BaseServiceVOCU extends ConditionUtil<BaseServiceVOCU> {
    ID: FieldUtil<BaseServiceVOCU>;
    K8S_ID: FieldUtil<BaseServiceVOCU>;
    LABEL: FieldUtil<BaseServiceVOCU>;
    CONFIG_CENTER_CODE: FieldUtil<BaseServiceVOCU>;
    IMAGE_ID: FieldUtil<BaseServiceVOCU>;
    SPEC_NAME: FieldUtil<BaseServiceVOCU>;
    METRICS_NAME: FieldUtil<BaseServiceVOCU>;
    IMAGE_PORT_MAPPING: FieldUtil<BaseServiceVOCU>;
    SLB: FieldUtil<BaseServiceVOCU>;
    SLB_PORT_MAPPING: FieldUtil<BaseServiceVOCU>;
    PROGRESS_KEYWORD: FieldUtil<BaseServiceVOCU>;
}
declare class BaseServiceVOMU extends ModelUtilImpl<BaseServiceVOCU, BaseServiceVO> {
    joinTables: any[];
    selectSQL: string;
    tableFields: string[];
    modelFields: string[];
    createConditionUtil(): BaseServiceVOCU;
    static get ID(): FieldUtil<BaseServiceVOCU>;
    static get K8S_ID(): FieldUtil<BaseServiceVOCU>;
    static get LABEL(): FieldUtil<BaseServiceVOCU>;
    static get CONFIG_CENTER_CODE(): FieldUtil<BaseServiceVOCU>;
    static get IMAGE_ID(): FieldUtil<BaseServiceVOCU>;
    static get SPEC_NAME(): FieldUtil<BaseServiceVOCU>;
    static get METRICS_NAME(): FieldUtil<BaseServiceVOCU>;
    static get IMAGE_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    static get SLB(): FieldUtil<BaseServiceVOCU>;
    static get SLB_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    static get PROGRESS_KEYWORD(): FieldUtil<BaseServiceVOCU>;
    get ID(): FieldUtil<BaseServiceVOCU>;
    get K8S_ID(): FieldUtil<BaseServiceVOCU>;
    get LABEL(): FieldUtil<BaseServiceVOCU>;
    get CONFIG_CENTER_CODE(): FieldUtil<BaseServiceVOCU>;
    get IMAGE_ID(): FieldUtil<BaseServiceVOCU>;
    get SPEC_NAME(): FieldUtil<BaseServiceVOCU>;
    get METRICS_NAME(): FieldUtil<BaseServiceVOCU>;
    get IMAGE_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    get SLB(): FieldUtil<BaseServiceVOCU>;
    get SLB_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    get PROGRESS_KEYWORD(): FieldUtil<BaseServiceVOCU>;
}
export { BaseServiceVOMU, BaseServiceVOCU };
